Bug 243020 - Kernel BUG with Linksys WPC11
Kernel BUG with Linksys WPC11
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 18:04 EDT by Ryan Brown
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 08:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Relevant dmesg output when inserting WPC11 card (4.70 KB, text/plain)
2007-06-06 18:04 EDT, Ryan Brown
no flags Details
dmesg output, acpi enabled, on card insertion (862 bytes, text/plain)
2007-09-14 08:42 EDT, Ryan Brown
no flags Details
lsmod -v output, ACPI enabled, after card insertion (3.01 KB, application/octet-stream)
2007-09-14 08:43 EDT, Ryan Brown
no flags Details
lspci -v output, ACPI enabled, after card insertion (7.40 KB, application/octet-stream)
2007-09-14 08:44 EDT, Ryan Brown
no flags Details

  None (edit)
Description Ryan Brown 2007-06-06 18:04:52 EDT
Description of problem:

When inserting a Linksys WPC11 PCMCIA card, get a kernel BUG from prism2_hw_shutdown

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Insert WPC11 card
2. Look at dmesg
3.
  
Actual results:
Card non-responsive

Expected results:

Should be able to set SSID, and get dhcp
Additional info:
Output from pccard info:
PRODID_1="The Linksys Group, Inc."
PRODID_2="Instant Wireless Network PC Card"
PRODID_3="ISL37300P"
PRODID_4="RevA"
MANFID=0274,1613
FUNCID=6

Relevant dmesg output is attached
Comment 1 Ryan Brown 2007-06-06 18:04:53 EDT
Created attachment 156397 [details]
Relevant dmesg output when inserting WPC11 card
Comment 2 Andreas Spengler 2007-08-16 05:11:19 EDT
This problem can be temporarily solved by removing/renaming all 'hostap' kernel
modules. Appearantly the kernel tries to load both orinoco and hostap modules,
when inserting the card and both modules battle for control over the card...

However, now the kernel complains "This firmware requires an ESSID in
IBSS-ad-hoc mode" although the ESSID for the card is correctly set.
Comment 3 Christopher Brown 2007-09-13 19:07:03 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I
can. You can try:

# echo "blacklist hostap" >> /etc/modprobe.d/blacklist

and this will prevent you having to rename the modules in each kernel update. It
may also resolve the issue for you. Could you tell me if you are still having
problems with the latest kernel?

I'm also re-assigning to the wireless maintainer in the hope of getting a bit
more of a review for you. If you can post the output of lsmod and lspci -v that
may help as well.

Cheers
Chris
Comment 4 Ryan Brown 2007-09-14 08:42:41 EDT
Created attachment 195841 [details]
dmesg output, acpi enabled, on card insertion
Comment 5 Ryan Brown 2007-09-14 08:43:29 EDT
Created attachment 195851 [details]
lsmod -v output, ACPI enabled, after card insertion
Comment 6 Ryan Brown 2007-09-14 08:44:01 EDT
Created attachment 195861 [details]
lspci -v output, ACPI enabled, after card insertion
Comment 7 Ryan Brown 2007-09-14 08:45:41 EDT
While the kernel BUG has now gone away, with hostap blacklisted, I don't seem to
associate with the AP (WEB 128bit) unless I keep acpi=off in the boot flags.
Comment 8 Christopher Brown 2007-09-14 09:18:12 EDT
Hello Ryan,

Great, thanks for all the info. What laptop model is this from? There was an
indication that hostap was registering an additional interface (wifi0) - check
and see you just have the one interface registered now that hostap is
permanently blacklisted. It would be good to have dmesg, ifconfig and iwconfig
output now that you are using purely the orinoco_cs driver.

Cheers
Chris
Comment 9 Andreas Spengler 2007-09-14 16:33:29 EDT
Hi folks,

I actually also had to do

# echo "blacklist hostap_cs" >> /etc/modprobe.d/blacklist

I then got the orinoco_cs and orinoco modules to come up exclusively upon
inserting the card, whereby I had the following in dmesg:

----------------------------------------------------------------------------------
orinoco 0.15 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin <proski@
gnu.org>, et al)
orinoco_cs 0.15 (David Gibson <hermes@gibson.dropbear.id.au>, Pavel Roskin <pros
ki@gnu.org>, et al)
eth1: Hardware identity 8002:0000:0001:0000
eth1: Station identity  001f:0003:0000:0008
eth1: Firmware determined as Intersil 0.8.3
eth1: Ad-hoc demo mode supported
eth1: IEEE standard IBSS ad-hoc mode supported
eth1: WEP supported, 104-bit key
eth1: MAC address 00:60:B3:68:BD:98
eth1: Station name "Prism  I"
eth1: ready
eth1: orinoco_cs at 0.0, irq 3, io 0x0100-0x013f
ADDRCONF(NETDEV_UP): eth1: link is not ready
eth1: This firmware requires an ESSID in IBSS-Ad-Hoc mode.
eth1: New link status: Disconnected (0002)
eth1: This firmware requires an ESSID in IBSS-Ad-Hoc mode.
eth1: This firmware requires an ESSID in IBSS-Ad-Hoc mode.
eth1: This firmware requires an ESSID in IBSS-Ad-Hoc mode.
eth1: This firmware requires an ESSID in IBSS-Ad-Hoc mode.
eth1: This firmware requires an ESSID in IBSS-Ad-Hoc mode.
eth1: New link status: Connected (0001)
ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
eth1: no IPv6 routers present
----------------------------------------------------------------------------------

However, the ESSID was set:

# iwconfig eth1

----------------------------------------------------------------------------------
eth1      IEEE 802.11b  ESSID:"xxxx.xxxxxx.xx"  Nickname:"yyyyyy.yyyyyy.yy"
          Mode:Ad-Hoc  Frequency:2.457 GHz  Cell: 02:23:8B:6B:BD:98   
          Bit Rate=11 Mb/s   Sensitivity:1/3  
          Retry limit:8   RTS thr=2346 B   Fragment thr:off
          Encryption key:xxxx-xxxx-xx   Security mode:open
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

----------------------------------------------------------------------------------
Comment 10 Andreas Spengler 2007-09-14 16:46:02 EDT
Sorry, I forgot to mention that appearantly the card works now, despite the
message about the ESSID.
Comment 11 John W. Linville 2007-10-16 08:18:27 EDT
It sounds like things are working for you now.  Unfortunately orinoco and 
hostap are now so old it is unlikely that their conflicts will ever be 
resolved.

Note You need to log in before you can comment on or make changes to this bug.